module Api.V1 (request, request') where

import Relude

import Polysemy (Members, Sem)
import Polysemy.Error (Error)
import Servant.Client.Streaming (ClientError, ClientM, client)
import Servant.Polysemy.Client (ServantClient, runClient)

import Api.V1.Spec
import Api.V1.Types

request' :: [Request] -> ClientM [Response]
request' = client (Proxy @Api) "Bearer ANON"

request :: Members '[ServantClient, Error ClientError] r => [Request] -> Sem r [Response]
request = runClient . request'
