module Api.V1.Spec (Api) where

import Relude

import Api.V1.Types qualified as Types
import Servant.API

type Api =
  "api" :> "v1"
    :> Header' '[Required, Strict] "Authorization" Text
    :> ( ReqBody '[JSON] [Types.Request] :> Post '[JSON] [Types.Response]
       )
